
package com.tmerclub.cloud.distribution.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author cl
 * @date 2021-08-10 14:16:25
 */
public class DistributionUserAchievementVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "分销员id")
    private Long distributionUserId;

    @Schema(description = "分销员分销钱包id")
    private Long walletId;

    @Schema(description = "昵称")
    private String nickName;

    @Schema(description = "手机号")
    private String userMobile;

    @Schema(description = "直推奖励")
    private Double aGenerationCommission;

    @Schema(description = "间推奖励")
    private Double secondGenerationCommission;

    @Schema(description = "邀请奖励")
    private Double invitationRewards;

    @Schema(description = "待结算金额")
    private Long unsettledAmount;

    @Schema(description = "可提现金额")
    private Long settledAmount;

    @Schema(description = "已失效金额")
    private Long invalidAmount;

    @Schema(description = "积累收益")
    private Long accumulateAmount;

    @Schema(description = "状态(-1永久封禁 0 待审核 1 正常 2 暂时封禁 3 审核未通过，需要重新申请)")
    private Integer state;

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Long getDistributionUserId() {
        return distributionUserId;
    }

    public void setDistributionUserId(Long distributionUserId) {
        this.distributionUserId = distributionUserId;
    }

    public Long getWalletId() {
        return walletId;
    }

    public void setWalletId(Long walletId) {
        this.walletId = walletId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getUserMobile() {
        return userMobile;
    }

    public void setUserMobile(String userMobile) {
        this.userMobile = userMobile;
    }

    public Double getaGenerationCommission() {
        return aGenerationCommission;
    }

    public void setaGenerationCommission(Double aGenerationCommission) {
        this.aGenerationCommission = aGenerationCommission;
    }

    public Double getSecondGenerationCommission() {
        return secondGenerationCommission;
    }

    public void setSecondGenerationCommission(Double secondGenerationCommission) {
        this.secondGenerationCommission = secondGenerationCommission;
    }

    public Double getInvitationRewards() {
        return invitationRewards;
    }

    public void setInvitationRewards(Double invitationRewards) {
        this.invitationRewards = invitationRewards;
    }

    public Long getUnsettledAmount() {
        return unsettledAmount;
    }

    public void setUnsettledAmount(Long unsettledAmount) {
        this.unsettledAmount = unsettledAmount;
    }

    public Long getSettledAmount() {
        return settledAmount;
    }

    public void setSettledAmount(Long settledAmount) {
        this.settledAmount = settledAmount;
    }

    public Long getInvalidAmount() {
        return invalidAmount;
    }

    public void setInvalidAmount(Long invalidAmount) {
        this.invalidAmount = invalidAmount;
    }

    public Long getAccumulateAmount() {
        return accumulateAmount;
    }

    public void setAccumulateAmount(Long accumulateAmount) {
        this.accumulateAmount = accumulateAmount;
    }

    @Override
    public String toString() {
        return "DistributionUserAchievementVO{" +
                "distributionUserId=" + distributionUserId +
                ", walletId=" + walletId +
                ", nickName='" + nickName + '\'' +
                ", userMobile='" + userMobile + '\'' +
                ", aGenerationCommission=" + aGenerationCommission +
                ", secondGenerationCommission=" + secondGenerationCommission +
                ", invitationRewards=" + invitationRewards +
                ", unsettledAmount=" + unsettledAmount +
                ", settledAmount=" + settledAmount +
                ", invalidAmount=" + invalidAmount +
                ", accumulateAmount=" + accumulateAmount +
                ", state=" + state +
                '}';
    }
}
